TransparentButtonUI (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.dock
Class TransparentButtonUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  javax.swing.plaf.metal.MetalButtonUI
                      com.bbn.openmap.gui.dock.TransparentButtonUI

    public class TransparentButtonUI

extends javax.swing.plaf.metal.MetalButtonUI

A subclass of the metal UI that draws a semi-transparent button on top of other components.

Since:
  12/5/02
Version:
  $Revision: 1.4 $ on $Date: 2005/08/09 17:50:51 $
Author:
  Ben Lubin

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalButtonUI
`disabledTextColor, focusColor, selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`TransparentButtonUI()`

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`java.awt.Color` | `getBGColor(javax.swing.AbstractButton c)`
`java.awt.Color` | `getDarkShadow()`
`java.awt.Color` | `getLightShadow()`
`java.awt.Color` | `getMediumShadow()`
`java.awt.Color` | `getSelectedBGColor(javax.swing.AbstractButton c)`
`void` | `installDefaults(javax.swing.AbstractButton b)`
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
`protected void` | `paintButtonPressed(java.awt.Graphics g, javax.swing.AbstractButton b)` From super class.

Methods inherited from class javax.swing.plaf.metal.MetalButtonUI
`createButtonListener, getDisabledTextColor, getFocusColor, getSelectColor, paintFocus, paintText, uninstallDefaults, update`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransparentButtonUI

    public TransparentButtonUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### installDefaults

    public void installDefaults(javax.swing.AbstractButton b)

  Overrides:
    `installDefaults` in class `javax.swing.plaf.metal.MetalButtonUI`

### getBGColor

    public java.awt.Color getBGColor(javax.swing.AbstractButton c)

### getSelectedBGColor

    public java.awt.Color getSelectedBGColor(javax.swing.AbstractButton c)

### getDarkShadow

    public java.awt.Color getDarkShadow()

### getMediumShadow

    public java.awt.Color getMediumShadow()

### getLightShadow

    public java.awt.Color getLightShadow()

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Overrides:
    `paint` in class `javax.swing.plaf.basic.BasicButtonUI`

### paintButtonPressed

    protected void paintButtonPressed(java.awt.Graphics g,
                                      javax.swing.AbstractButton b)

  From super class. Don't want to do metal's behavior...

  Overrides:
    `paintButtonPressed` in class `javax.swing.plaf.metal.MetalButtonUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details